> ## Documentation Index
> Fetch the complete documentation index at: https://conductorone-docs-terraform-v2-owner-resources.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Classifier Binding

> Create attaches a classifier to an enforcement target.



## OpenAPI

````yaml https://spec.speakeasy.com/conductor-one/conductorone/my-source-with-code-samples post /api/v1/classifier_bindings
openapi: 3.1.0
info:
  description: The C1 API is a HTTP API for managing C1 resources.
  title: C1 API
  version: 0.1.0-alpha
servers:
  - description: The C1 API server for the current tenant.
    url: https://{tenantDomain}.conductor.one
    variables:
      tenantDomain:
        default: example
        description: The domain of the tenant to use for this request.
security:
  - bearerAuth: []
    oauth: []
paths:
  /api/v1/classifier_bindings:
    post:
      tags:
        - Classifiers
      summary: Create Classifier Binding
      description: Create attaches a classifier to an enforcement target.
      operationId: c1.api.ai_governance.v1.ClassifierService.CreateClassifierBinding
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/c1.api.ai_governance.v1.CreateClassifierBindingRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/c1.api.ai_governance.v1.CreateClassifierBindingResponse
          description: Successful response
components:
  schemas:
    c1.api.ai_governance.v1.CreateClassifierBindingRequest:
      description: The CreateClassifierBindingRequest message.
      properties:
        binding:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.ClassifierBinding'
            - type: 'null'
      required:
        - binding
      title: Create Classifier Binding Request
      type: object
      x-speakeasy-name-override: CreateClassifierBindingRequest
    c1.api.ai_governance.v1.CreateClassifierBindingResponse:
      description: The CreateClassifierBindingResponse message.
      properties:
        binding:
          oneOf:
            - $ref: '#/components/schemas/c1.api.ai_governance.v1.ClassifierBinding'
            - type: 'null'
      title: Create Classifier Binding Response
      type: object
      x-speakeasy-name-override: CreateClassifierBindingResponse
    c1.api.ai_governance.v1.ClassifierBinding:
      description: ClassifierBinding attaches one Classifier to one enforcement target.
      properties:
        classifierId:
          description: The classifierId field.
          type: string
        createdAt:
          format: date-time
          type:
            - string
            - 'null'
        deletedAt:
          format: date-time
          type:
            - string
            - 'null'
        id:
          description: The id field.
          type: string
        surface:
          description: The surface field.
          enum:
            - CLASSIFIER_TYPE_UNSPECIFIED
            - CLASSIFIER_TYPE_AGENT
            - CLASSIFIER_TYPE_GATEWAY
          type: string
          x-speakeasy-unknown-values: allow
        targetId:
          description: The targetId field.
          type: string
        tenantId:
          description: The tenantId field.
          type: string
        updatedAt:
          format: date-time
          type:
            - string
            - 'null'
      required:
        - surface
        - classifierId
      title: Classifier Binding
      type: object
      x-speakeasy-name-override: ClassifierBinding
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http
    oauth:
      description: >-
        This API uses OAuth2 with the Client Credential flow.

        Client Credentials must be sent in the BODY, not the headers.

        For an example of how to implement this, refer to the
        [c1TokenSource.Token()](https://github.com/ConductorOne/conductorone-sdk-go/blob/3375fe7c0126d17e7ec4e711693dee7b791023aa/token_source.go#L101-L187)
        function.
      flows:
        clientCredentials:
          scopes: {}
          tokenUrl: /auth/v1/token
      type: oauth2

````